CRYSTAL-ENV(1)

NAME
crystal-env - Print environment variables for the Crystal compiler

SYNOPSIS

crystal env [variables]

DESCRIPTION

Print Crystal-specific environment variables in a format compatible with shell scripts. If one or more variable names are given as arguments, it prints only the value of each named variable on its own line.

Variables:

CRYSTAL_CACHE_DIR
    Please see ENVIRONMENT VARIABLES.

CRYSTAL_EXEC_PATH
    Please see ENVIRONMENT VARIABLES.

CRYSTAL_LIBRARY_PATH
    Please see ENVIRONMENT VARIABLES.

CRYSTAL_PATH
    Please see ENVIRONMENT VARIABLES.

CRYSTAL_VERSION
    Contains Crystal version.

INFORMATIVE VARIABLES

These variables expose information about the Crystal compiler and cannot be configured externally.

  CRYSTAL_VERSION

Contains Crystal version.